# ApiHBaseReplicationSetupOneClusterOnlyCmdArgs Data Model

Command args for HBase replication first time setup for only one cluster: either source or target

Properties
name | data type | description
--- | --- | ---
sourceRef | ApiServiceRef |
restartType | RestartType |

Example

    {
      "sourceRef" : {
        "peerName" : "...",
        "clusterName" : "...",
        "clusterDisplayName" : "...",
        "serviceName" : "...",
        "serviceDisplayName" : "...",
        "serviceType" : "..."
      },
      "restartType" : "NO_RESTART"
    }